Bug 1012647 - Placeholder icon always shown in notification area [NEEDINFO]
Placeholder icon always shown in notification area
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 15:15 EDT by Heiko Adams
Modified: 2015-06-29 08:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:28:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: needinfo? (rhughes)


Attachments (Terms of Use)
screenshot of the two icons in the notification are (2.59 KB, image/png)
2013-09-26 15:15 EDT, Heiko Adams
no flags Details
Screenshot of the battery information dialog including my mouse (53.85 KB, image/png)
2014-01-05 06:08 EST, Heiko Adams
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 10327 None None None Never
Xfce 11054 None None None Never

  None (edit)
Description Heiko Adams 2013-09-26 15:15:14 EDT
Created attachment 803549 [details]
screenshot of the two icons in the notification are

Description of problem:
Since upgrading to Fedora 20 xfce4-power-manager allways shows the missing icon placeholder icon in the notification are, no matter what the icon setting of xfce4-power-manager is set to. The placeholder icon also has the power-manager context-menu if you do a right-click on it.

Version-Release number of selected component (if applicable):
xfce4-power-manager-1.2.0-9.fc20.x86_64

How reproducible:
allways

Steps to Reproduce:
1. Log into a new xfce session
2. If power-manager is not started do it
3.

Actual results:
The placeholder icon is visible

Expected results:
xfce4-power-manager should only show the battery icon

Additional info:
Comment 1 Heiko Adams 2014-01-05 05:51:39 EST
Okay, it looks like the xfce4-power-manager guesses the battery of my usb mouse is an additional battery for my notebook because if I unplug the receiver of the mouse and restart the power-manager the placeholder icon goes away until I plug the receiver back in and wait a few seconds.
Comment 2 Heiko Adams 2014-01-05 06:08:52 EST
Created attachment 845732 [details]
Screenshot of the battery information dialog including my mouse
Comment 3 Heiko Adams 2014-01-05 06:21:42 EST
I found a bug report about this upstream and it seems to be a "problem" with recent upower versions. URL of the upstream bug report added
Comment 4 Christoph Wickert 2014-01-05 06:38:14 EST
I have to admit I ignored this bug because I could not reproduce it, but now I can and it's indeed the mouse. gnome-power-manager has the same problem (bug 816775), so the problem seems to be in upower. Asking maintainer for help.
Comment 5 Peter Backes 2014-01-11 17:11:29 EST
same issue here.

Logitech Performance MX mouse.
Comment 6 Raphael Groner 2014-04-19 07:30:38 EDT
Reproducible with xfpm 1.2.0

I have a wireless Logitech mouse that can report its own battery state, too.
Comment 7 Christoph Wickert 2014-04-20 13:13:13 EDT
No response from upower owner for months. Reassigning.
Comment 8 Raphael Groner 2014-04-20 14:19:26 EDT
This issue is not only related to an additional icon. I detected that xfpm inhibits acpi event handling in systemd (by a special patch), but now completely , if there's a second battery. So a wireless mouse breaks xfpm logic to handle acpi events by itself.

Should I report that as a separate bug? My solution is to not use xfpm any more (yum remove). Systemd is working fine.
Comment 9 Raphael Groner 2014-09-11 17:31:54 EDT
This bug seems to be fixed and is in further feature discussion at upstream.

xfce4-power-manager-1.3.2-1.fc20.x86_64
upower-0.9.23-3.fc20.x86_64
systemd-208-21.fc20.x86_64
Comment 10 Fedora End Of Life 2015-05-29 05:27:31 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-06-29 08:28:05 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.